libxml2 安全漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1131525 漏洞类型
发布时间 2017-11-24 更新时间 2019-10-23
CVE编号 CVE-2017-16932 CNNVD-ID CNNVD-201711-1041
漏洞平台 N/A CVSS评分 5.0
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201711-1041
|漏洞详情
libxml2是GNOME项目组所研发的一个基于C语言的用来解析XML文档的函数库,它支持多种编码格式、Xpath解析、Well-formed和valid验证等。 libxml2 2.9.5之前的版本中的parser.c文件存在安全漏洞,该漏洞源于程序在参数实体中没有阻止无限递归。攻击者可利用该漏洞造成拒绝服务(无限循环或内存耗尽)。
|参考资料

来源:CONFIRM
链接:http://xmlsoft.org/news.html
来源:CONFIRM
链接:https://bugzilla.gnome.org/show_bug.cgi?id=759579
来源:CONFIRM
链接:https://github.com/GNOME/libxml2/commit/899a5d9f0ed13b8e32449a08a361e0de127dd961